%define         module jack

Summary:	Module for accessing CDDB and FreeDB
Summary(pl.UTF-8):	Moduł do łączenia z bazami CDDB i FreeDB
Name:		jack
Version:	3.1.1
Release:	6
License:	GPL
Group:		Development/Languages/Python
Source0:	http://www.home.unix-ag.org/arne/jack/%{module}-%{version}.tar.gz
# Source0-md5:	8ec8971380ba009249d1bb3d1b3e7344
Patch0:		%{name}-build.patch
URL:		http://www.home.unix-ag.org/arne/jack/
BuildRequires:	ncurses-devel
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.174
%pyrequires_eq	python-modules
Requires:	ncurses
Requires:	python-CDDB
Requires:	python-ID3
Requires:	python-jack-cursesmodule = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jack is a python CDDA ripping program. It has been developed with one
main goal: making MP3s without having to worry.

%description -l pl.UTF-8
Jack jest programem do zgrywania płyt audio do plików WAV, MP3 lub
OGG, stworzony by nie trzeba było się martwić o to, iż jakikolwiek
błąd przy zgrywaniu umknie naszej uwadze.

%package -n python-%{module}-cursesmodule
Summary:	An improved Python curses module used by jack (a Python ripping program)
Summary(pl.UTF-8):	Ulepszona wersja modułu curses dla Pythona wykorzystywana przez program jack
Group:		Development/Languages/Python
%pyrequires_eq	python-libs

%description -n python-%{module}-cursesmodule
Improved Python curses module used by jack (a Python ripping program).

%description -n python-%{module}-cursesmodule -l pl.UTF-8
Ulepszona wersja modułu curses dla Pythona wykorzystywana przez jack -
program do zgrywania płyt Audio CD.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
%py_build

#py_comp *.py
#py_ocomp *.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install -d $RPM_BUILD_ROOT%{_bindir}

%py_install

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.py
install jack $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/[!g]*
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{_bindir}/jack

%files -n python-%{module}-cursesmodule
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/jack_cursesmodule.so
%{py_sitedir}/jack-*.egg-info
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jack.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3aa2bab
- rel 6; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aac4f5
- release 5 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d62fd77
- ncurses rebuild
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5878449
- release 3 (by relup.sh)

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> d75e78d
- BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e50c778
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 33b8b5c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f0250d
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 22ea592
- mass commit: remove obsolete BR: rpm-pythonprov

* Wed Feb 16 2005 jpc <jpc@pld-linux.org> ad72b7c
- rel 1

* Wed Feb 16 2005 jpc <jpc@pld-linux.org> 893d7d9
- up to 3.1.1

* Wed Jan 05 2005 jpc <jpc@pld-linux.org> daf5e43
- up to 3.0.1

* Sun Dec 26 2004 saq <saq@pld-linux.org> 9866637
- strict dependencies
- rlease 2 for python 2.4

* Sun May 30 2004 jpc <jpc@pld-linux.org> e4f239d
- corrected %build
- R: ncurses = whatever (i don't realy know whether the
  previous change was a fix or not)

* Wed Apr 14 2004 jpc <jpc@pld-linux.org> 1c0c041
- req ncurses <= 5.3 (it is something connected
  with term resizing (it crashes when you resize the terminal))
- BR: ncurses-devel

* Sat Feb 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 6fcbdab
- cosmetics/unifications, fixed License, don't include gpl.txt in doc

* Fri Feb 20 2004 undefine <undefine@pld-linux.org> 3ecd536
- initital version by Jakub Piotr Cłapa <loc@toya.net.pl>

